<?php
namespace Geral\Repositories;

class Inteprosp extends \Doctrine\ORM\EntityRepository
{
    public function consultaProxCodigoInteClie($cdProspect)
    {
        $sql = "SELECT MIN(CDINTEPROS) AS CDINTEPROS
                  FROM ((SELECT SUBSTR(TO_CHAR(DTDATA, 'DDD'), 2, 2) CDINTEPROS
                           FROM DATA D 
                          WHERE DTDATA BETWEEN '01/01/2000' AND '08/04/2000' 
                          UNION
                         SELECT SUBSTR(TO_CHAR(TO_NUMBER(TO_CHAR(DTDATA, 'J'))-2451545, '000'),4,1)||CHR(TO_NUMBER(SUBSTR(TO_CHAR(TO_NUMBER(TO_CHAR(DTDATA, 'J'))-2451545, '000'),2,2))+65) CDINTEPROS
                           FROM DATA D
                          WHERE DTDATA BETWEEN '01/01/2000' AND '26/09/2002')
                          MINUS 
                         SELECT CDINTEPROS
                           FROM INTEPROSP
                          WHERE CDPROSPECT = :CDPROSPECT)";
        
        $params = array("CDPROSPECT" => $cdProspect);

        try{
            return \Setforms2\Shared\Connection::getInstance()->fetchAll($sql, $params);
        } catch(\Exception $e) {
            throw $e;
        }
    }

    public function consultaInterlocProsp($cdProspect)
    {
        $sql = "SELECT I.CDPROSPECT, I.CDINTEPROS, I.CDPAIS, I.SGESTADO, I.CDMUNICIPIO, I.IDTPINTEPROS,
                       I.NMINTEPROS, I.DSCARGINPROS, I.DTNASCINPROS, I.NRTEL1INPROS, I.NRRAM1INPROS,
                       I.NRTEL2INPROS, I.NRRAM2INPROS, I.NRFAXINPROS, I.IDENDEINPROS, I.DSENDEINPROS,
                       I.NMBAIRINPROS, I.NRCEPINPROS, I.DSEMAILIPROS, I.IDSTINTEPROS, I.NRCELULINPRO,
                       I.NRTELREINPRO, P.NMPAIS, M.NMMUNICIPIO, I.CDCARGOINTERLOC, C.NMCARGOINTERLOC, 
                       I.NRRELACIONAPARC, I.IDINPROSRECPRES
                  FROM INTEPROSP I, PAIS P, MUNICIPIO M, CARGOINTERLOC C
                 WHERE (I.CDPROSPECT = :P_CDPROSPECT)
                   AND (I.CDPAIS = P.CDPAIS(+))
                   AND (I.CDPAIS = M.CDPAIS(+))
                   AND (I.SGESTADO = M.SGESTADO(+))
                   AND (I.CDMUNICIPIO = M.CDMUNICIPIO(+))
                   AND (I.CDCARGOINTERLOC = C.CDCARGOINTERLOC(+))
              ORDER BY I.CDINTEPROS";
        
        $params = array("P_CDPROSPECT" => $cdProspect);

        try{
            return \Setforms2\Shared\Connection::getInstance()->fetchAll($sql, $params);
        } catch(\Exception $e) {
            throw $e;
        }
    }
}