package com.javaseleniumtemplate.tests.Parametrizacao;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.ProdutoFlows;
import com.javaseleniumtemplate.flows.LoginFlows;
import com.javaseleniumtemplate.flows.MainFlows;
import com.javaseleniumtemplate.pages.Parametrizacao.ProdutoPage;
import com.javaseleniumtemplate.pages.MainPage;
import org.sonatype.inject.Description;
import org.testng.annotations.Ignore;
import org.testng.annotations.Test;

public class ProdutoTests extends TestBase {

    MainPage mainPage;
    LoginFlows loginFlows;
    MainFlows mainFlows;
    ProdutoFlows produtoFlows;
    ProdutoPage produtoPage;


    @Test(description = "Est-22")
    public void EfetuarCadastroProdutoTipoEstoque() {

        //Objects instances
        mainPage = new MainPage();
        loginFlows = new LoginFlows();
        mainFlows = new MainFlows();
        produtoFlows = new ProdutoFlows();
        produtoPage = new ProdutoPage();


        //Parametos Dados Produto:
            String codigoProduto = "11";
            String nomeProduto = "Produto_Teste_Automatizado_Tipo_Estoque";
            String unidadeMedida = "LT";
            String valorFatorCorrecao = "1";


        //Rotinas:
        loginFlows.efetuarLogin();
        mainFlows.AcessandoProduto();
        produtoFlows.adicionarProdutoEstoque(codigoProduto,nomeProduto,unidadeMedida,valorFatorCorrecao);

    }


    @Test
    public void preencherArvoreDeProdutos(){//Objects instances
        mainPage = new MainPage();
        loginFlows = new LoginFlows();
        mainFlows = new MainFlows();
        produtoFlows = new ProdutoFlows();
        produtoPage = new ProdutoPage();

        //Parameteres_login:
        String codigoProduto = "11";
        String nomeProduto = "Produto_Teste_Automatizado_Tipo_Estoque";
        String unidadeMedida = "LT";
        String valorFatorCorrecao = "1";
        //Parametos Dados Produto:

        //Rotinas:
        loginFlows.efetuarLogin();
        mainFlows.AcessandoProduto();
        produtoFlows.adicionarProdutoEstoque(codigoProduto,nomeProduto,unidadeMedida,valorFatorCorrecao);



    }

    @Test(description = "EST-01")
    public void EditarProdutoTipoEstoque() {

        //Objects instances
        mainPage = new MainPage();
        loginFlows = new LoginFlows();
        mainFlows = new MainFlows();
        produtoFlows = new ProdutoFlows();
        produtoPage = new ProdutoPage();

        //Parameteres_login:
        String usuario = "deivison.andrade@teknisa.com";
        String senha = "1";
        //Parametos Dados Produto:
        String nomeProduto = "Produto_Teste_Automatizado_Tipo_Estoque";
        String numeroDoCodigoDeBarras = "100000010000011000002";
        String descricaoComplementoDeNome = "Produto gerado Atraves de teste Automatizado";
        String DescricaoNomeCodificado = "Teste_Automatizado_01_EST";
        String descricaoTamanho = "2,023";
        String descricaoinformacoesAdicionaisDoProduto = "Produto teste automatizado 2023";

        //Rotinas:
        loginFlows.efetuarLogin();
        mainFlows.AcessandoProduto();
        produtoFlows.editarProdutoEstoque(nomeProduto,numeroDoCodigoDeBarras,descricaoComplementoDeNome,DescricaoNomeCodificado,descricaoTamanho,descricaoinformacoesAdicionaisDoProduto);

    }


    @Test(description = "Est-17")
    public void ExcluirCadastroProdutoTipoEstoque(){

        //Objects instances
        mainPage = new MainPage();
        loginFlows = new LoginFlows();
        mainFlows = new MainFlows();
        produtoFlows = new ProdutoFlows();
        produtoPage = new ProdutoPage();

        //Parameteres_login:
            String usuario = "deivison.andrade@teknisa.com";
            String senha = "1";
        //Parametos Dados Produto:
            String nomeProduto = "Produto_Teste_Automatizado_Tipo_Estoque";
            String codigoProduto = "110100100101";


        //Rotinas:
        loginFlows.efetuarLogin();
        mainFlows.AcessandoProduto();
        produtoFlows.excluirProdutoEstoque(nomeProduto);
        //entradaDeEstoqueFlows.AdicionarEntradaEstoque(cmpDesc,descProduto,quantidade,descAlmoxarifado,DescCampoLote,valorUnitario);
        //ajusteInventarioFlows.editarAjusteIventario(cmpDesc2,quantidade2,descProduto2,descAlmoxarifado,descLote2);
        //ajusteInventarioFlows.excluirAjusteIventario();
        //ajusteInventarioFlows.importarAjusteInventario();
    }


    @Test(description = "Est-18")
    public  void ArvoreDeProduto(){
        //Objects instances
        mainPage = new MainPage();
        loginFlows = new LoginFlows();
        mainFlows = new MainFlows();
        produtoFlows = new ProdutoFlows();
        produtoPage = new ProdutoPage();


        //parametrização

        //Dados
        String campoProdutoNome = "Produto Teste";
        String campoOperador = "Administrativo";

        //Rotine
        loginFlows.efetuarLogin();
        mainFlows.AcessandoArvoreProduto();
        produtoFlows.ArvoreDeProduto(campoProdutoNome, campoOperador);

    }

}
